Updating rubygems on leopard

Most likely, this happened because you don't have gcc, the C compiler for most free *nix-based OSs (such as the BSD family that OS X is built on), installed.You can install it (and all the Apple developer tools) by finding your OS install disc and installing the devloper toolkit off of that.Updating Ruby Gems Updating rubygems-update Successfully installed rubygems-update-1.3.7 Updating Ruby Gems to 1.3.7 Installing Ruby Gems 1.3.7 Ruby Gems 1.3.7 installed [...] Ruby Gems installed the following executables: /Users/douglassellers/.rvm/rubies/ree-1.8.7-2010.02/bin/gem I have verified this.The strangest thing is that ruby gems seems to think it is updating the correct file.Going the RVM route only code you write will be relying on the Ruby in your sandbox.In addition you will not need to run as sudo, so your installs are less error prone. Be sure to follow the instructions on the installation page.The installation problem on Mac OS X Snow Leopard is likely caused by a bug in the mysql2 gem that appeared when My SQL 5.5 came out.Hopefully newer versions of My SQL or the mysql2 gem will fix them problem.

updating rubygems on leopard-70updating rubygems on leopard-20updating rubygems on leopard-19

$ which gem /usr/bin/gem $ gem --version 1.2.0 Okay, so I guess I need to update $ sudo gem update --system Password: Updating Ruby Gems Updating rubygems-update Successfully installed rubygems-update-1.2.0 ERROR: While executing gem ..., instructor Kevin Skoglund shows how to create full-featured, object-oriented web applications with the popular, open-source Ruby on Rails framework.This course explains the complete process—from the fundamental concepts and best practices behind the Rails framework, to how to build a complete application with dynamic, database-driven content.At that point, I installed the latest versions of everything needed onto my Macbook Pro.In the meantime, I've upgraded to Leopard, installed a larger hard drive (using Time Machine to restore), and most importantly, not done anything to update Ruby, Rails, any of the gems, or even checked to see if they work.

Leave a Reply